## org.eclipse.datatools.connectivity.oda.design
Interface InputParameterUIHints

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface InputParameterUIHints

extends org.eclipse.emf.ecore.EObject

UI hints for a top-level parameter.

The following features are supported:

- `Group Prompt Display Name`

See Also:
  `DesignPackage.getInputParameterUIHints()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getGroupPromptDisplayName()` Returns the value of the 'Group Prompt Display Name' attribute.
`java.lang.String` `getGroupPromptDisplayNameKey()` Returns the resource key of the 'Group Prompt Display Name' attribute.
`void` `setGroupPromptDisplayName(java.lang.String value)` Sets the value of the '`Group Prompt Display Name`' attribute.
`void` `setGroupPromptDisplayNameKey(java.lang.String value)` Sets the resource key of the '`Group Prompt Display Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getGroupPromptDisplayName

    java.lang.String getGroupPromptDisplayName()

  Returns the value of the 'Group Prompt Display Name' attribute. For grouping multiple top-level input parameters under the same UI group prompt. Text can be localized with a resource key.

  Returns:
    the value of the 'Group Prompt Display Name' attribute.
  See Also:
    `setGroupPromptDisplayName(String)`, `DesignPackage.getInputParameterUIHints_GroupPromptDisplayName()`, `getGroupPromptDisplayNameKey()`

### setGroupPromptDisplayName

    void setGroupPromptDisplayName(java.lang.String value)

  Sets the value of the '`Group Prompt Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Group Prompt Display Name' attribute.
  See Also:
    `getGroupPromptDisplayName()`, `setGroupPromptDisplayNameKey(String)`

### getGroupPromptDisplayNameKey

    java.lang.String getGroupPromptDisplayNameKey()

  Returns the resource key of the 'Group Prompt Display Name' attribute.

  Returns:
    the resource key of the 'Group Prompt Display Name' attribute.
  Since:
    3.2.3
  See Also:
    `setGroupPromptDisplayNameKey(java.lang.String)`, `getGroupPromptDisplayName()`, `DataSourceDesign.getResourceFile()`

### setGroupPromptDisplayNameKey

    void setGroupPromptDisplayNameKey(java.lang.String value)

  Sets the resource key of the '`Group Prompt Display Name`' attribute.

  Parameters:
    `value` - the new resource key of the 'Group Prompt Display Name' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getGroupPromptDisplayNameKey()`, `setGroupPromptDisplayName(String)`, `DataSourceDesign.getResourceFile()`